---
permalink: '/add-member-form'

form:
  heading: Get yourself added
  description: Get yourself added to Faces of GNOME Website
  step: Here are the basic steps you need to follow to get yourself added
---

{% include header.html %}
{% assign navbar_type = "dark" %}
{% include navbar.html %}

<section class="py-4" id="team">
    <div class="container pb-4">
        <div class="row d-flex justify-content-center">
            <div class="col-md-10 col-lg-7 py-4 text-center">
                <h2 class="font-weight-light mb-3">{{ page.form.heading }}</h2>
                <h4 class="font-weight-light mb-4 text-muted"><p>{{ page.form.description }}</p></h4>
                <span class="text-muted"><p>{{ page.form.step }}</p></span>
                <ul class="text-left text-muted">
                    <li>Login to the <a href="https://gitlab.gnome.org/" target="_blank">GNOME GitLab account</a></li>
                    <li>Fork the <a href="https://gitlab.gnome.org/Teams/Engagement/websites/faces-of-gnome/-/forks/new" target="_blank">Faces of GNOME repository</a></li>
                    <li>Fill out the form below!</li>
                </ul>
            </div>
        </div>
        <form id="add_member" method="post" novalidate>

            <div class="form-row">
                <div class="form-group col-md-6">
                  <label for="user_id">ID</label>
                  <input type="text" class="form-control" id="user_id" name="user_id" placeholder="Profile ID" required/>
                  <small class="form-text text-muted">Example: john-d or johndoe</small>
                  <div class="invalid-feedback">
                    Please type in profile ID.
                  </div>
                </div>
                <div class="form-group col-md-6">
                  <label for="name">Full Name</label>
                  <input type="text" class="form-control" id="name" name="name" placeholder="Name Surname" required/>
                  <small class="form-text text-muted">Example: John Doe</small>
                  <div class="invalid-feedback">
                    Please type in your full name.
                  </div>
                </div>
            </div>

            <div class="form-row">
                <div class="form-group col-md-6">
                  <label for="nick_name">Nick Name</label>
                  <input type="text" class="form-control .was-validated" id="nick" name="nick" placeholder="Nick name" />
                  <small class="form-text text-muted">Example: Donny</small>
                </div>
                <div class="form-group col-md-6">
                  <label for="title">Title</label>
                  <input type="text" class="form-control" id="title" name="title" placeholder="Short one line title" required/>
                  <small class="form-text text-muted">Example: GNOME Foundation member</small>
                  <div class="invalid-feedback">
                    Please provide a title
                  </div>
                </div>
            </div>

            <div class="form-row">
                <div class="form-group col-md-6">
                  <label for="pronoun">Pronoun</label>
                  <input type="text" class="form-control" id="pronoun" name="pronoun" placeholder="How would you like to be addressed?" />
                  <small class="form-text text-muted">Example: He/Him, She/Her </small>
                </div>
                <div class="form-group col-md-6">
                  <label for="emoji">Emoji</label>
                  <input type="text" class="form-control" id="country" name="country" placeholder="Country or favorite emoji" />
                  <small class="form-text text-muted">Example: 🇮🇳 or 😄</small>
                </div>
            </div>

            <div class="form-row">
                <div class="form-group col-md-6">
                  <label for="avatar">Avatar</label>
                  <input type="text" class="form-control" id="avatar" name="avatar" placeholder="Image link" required/>
                  <small class="form-text text-muted">Example: https://i.postimg.cc/3xGMn0p9/Solicited-quality.png</small>
                  <div class="invalid-feedback">
                    Please provide an avatar
                  </div>
                </div>
                <div class="form-group col-md-6">
                  <label for="status">Status</label>
                  <input type="text" class="form-control" id="active" name="active" placeholder="Are you active in GNOME?" />
                  <small class="form-text text-muted">Example: true/false</small>
                </div>
            </div>

            <div class="form-group">
                <label for="description">Description</label>
                <input type="text" class="form-control" id="description" name="description" placeholder="A short description/bio about yourself" required/>
                <small class="form-text text-muted">Inroduce yourself, state your philosophy, share your accomplishments</small>
                <div class="invalid-feedback">
                  Please provide a small description
                </div>
            </div>

            <div class="form-group">
              <label for="badges">Badges</label>
              <select name="badges" class="custom-select custom-select-md"  size="4" multiple required>
                {% for badge in site.data.badges %}
                <option value="{{badge.id}}">{{ badge.name }}</option>
                {% endfor %}
              </select>
              <div class="invalid-feedback">
                Please select appropriate badges
              </div>
            </div> 

            <div class="form-group">
              <label for="projects">Projects</label>
              <select name="projects" class="custom-select custom-select-md"  size="4" multiple>
                {% for project in site.data.projects %}
                <option value="{{project.id}}">{{ project.name }}</option>
                {% endfor %}
              </select>
            </div> 

            <div class="form-group">
              <label for="events">Events</label>
              <select name="events" class="custom-select custom-select-md"  size="4" multiple>
                {% for event in site.data.events %}
                <option value="{{event.id}}">{{ event.name }}</option>
                {% endfor %}
              </select>
            </div> 

            <div class="col-sm-12 form-legend p-3">
                <h3>Socials</h3>
            </div>

            <div class="form-row">
                <div class="form-group col-md-4">
                    <label for="gitlab">GitLab</label>
                    <div class="input-group mb-2">
                        <div class="input-group-prepend">
                          <div class="input-group-text">@</div>
                        </div>
                    <input type="text" class="form-control" id="gitlab" name="gitlab" placeholder="username" />
                    </div>
                </div>
                <div class="form-group col-md-4">
                  <label for="twitter">Twitter</label>
                  <div class="input-group mb-2">
                    <div class="input-group-prepend">
                      <div class="input-group-text">@</div>
                    </div>
                  <input type="text" class="form-control" id="twitter" name="twitter" placeholder="username" />
                  </div>
                </div>
                <div class="form-group col-md-4">
                    <label for="status">Matrix</label>
                    <div class="input-group mb-2">
                        <div class="input-group-prepend">
                          <div class="input-group-text">@</div>
                        </div>
                    <input type="text" class="form-control" id="matrix" name="matrix" placeholder="username:matrix.org" />
                    </div>
                  </div>
            </div>

            <div class="form-row">
                <div class="form-group col-md-4">
                    <label for="github">GitHub</label>
                    <div class="input-group mb-2">
                        <div class="input-group-prepend">
                          <div class="input-group-text">@</div>
                        </div>
                    <input type="text" class="form-control" id="github" name="github" placeholder="username" />
                    </div>
                </div>
                <div class="form-group col-md-4">
                  <label for="instagram">Instagram</label>
                  <div class="input-group mb-2">
                    <div class="input-group-prepend">
                      <div class="input-group-text">@</div>
                    </div>
                  <input type="text" class="form-control" id="instagram" name="instagram" placeholder="username" />
                  </div>
                </div>
                <div class="form-group col-md-4">
                    <label for="dev_to">Dev.to</label>
                    <div class="input-group mb-2">
                        <div class="input-group-prepend">
                          <div class="input-group-text">@</div>
                        </div>
                    <input type="text" class="form-control" id="dev_to" name="dev_to" placeholder="username" />
                    </div>
                  </div>
            </div>

            <div class="form-row">
                <div class="form-group col-md-4">
                    <label for="mastodon">Mastodon</label>
                    <div class="input-group mb-2">
                      <div class="input-group-prepend">
                        <div class="input-group-text">@</div>
                      </div>
                    <input type="text" class="form-control" id="mastodon" name="mastodon" placeholder="username" />
                    </div>
                  </div>
                <div class="form-group col-md-4">
                    <label for="blog">Blog</label>
                    <input type="text" class="form-control" id="blog" name="blog" placeholder="https://my.site" />
                </div>
                <div class="form-group col-md-4">
                    <label for="keybase">Keybase</label>
                    <input type="text" class="form-control" id="keybase" name="keybase" placeholder="username" />
                  </div>
            </div>
            <button type="submit" class="button is-link is-fullwidth btn bg-gblue text-light">Submit</button>
        </form>
    </div>
</section>

{% include footer.html %}
{% include scripts.html %}

<script src="{{ '/assets/js/form.js' | relative_url }}"></script>
<script src="{{ '/assets/js/go-to-top.js' | relative_url }}"></script>